Skip to main content
`Ctrl`+`K`

# PCASMGetType

Gets the type of restriction and interpolation used for local problems in the additive Schwarz method, `PCASM`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCASMGetType(PC pc, PCASMType *type)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- type - variant of `PCASM`, one of

          PC_ASM_BASIC       - full interpolation and restriction
          PC_ASM_RESTRICT    - full restriction, local processor interpolation
          PC_ASM_INTERPOLATE - full interpolation, local processor restriction
          PC_ASM_NONE        - local processor restriction and interpolation

## Options Database Key

- -pc_asm_type [basic,restrict,interpolate,none] - Sets `PCASM` type

## See Also

KSP: Linear System Solvers, `PCASM`, `PCASMSetTotalSubdomains()`, `PCASMGetSubKSP()`, `PCGASM`, `PCASMCreateSubdomains2D()`, `PCASMType`, `PCASMSetType()`, `PCASMSetLocalType()`, `PCASMGetLocalType()`

## Level

intermediate

## Location

src/ksp/pc/impls/asm/asm.c

## Implementations

PCASMGetType_ASM() in src/ksp/pc/impls/asm/asm.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages